Subject: [Editorial Errata Reported] RFC6434 (3091)

From: RFC Errata System <[email-masked]>
Date: Mon, 16 Jan 2012 15:26:06 -0800 (PST)

The following errata report has been submitted for RFC6434,
"IPv6 Node Requirements".

--------------------------------------
You may review the report below and at:
http://www.rfc-editor.org/errata_search.php?rfc=6434&eid=3091

--------------------------------------
Type: Editorial
Reported by: Sam Silvester <[email-masked]>

Section: 5.10.

Original Text
-------------
Nodes supporting applications that expect to only take advantage of MLDv2's INCLUDE functionality as well as Any-Source Multicast will find it sufficient to support MLDv2 as defined in [RFC5790].

Corrected Text
--------------
Nodes supporting applications that expect to only take advantage of MLDv2's INCLUDE functionality as well as Any-Source Multicast will find it sufficient to support Lightweight MLDv2 as defined in [RFC5790].

Notes
-----
MLDv2 is RFC3810, and has both INCLUDE and EXCLUDE filter modes (as per previous paragraph.

RFC5790 (Lightweight MLDv2) is sufficient for nodes supporting application using only INCLUDE and Any-Source Multicast.

Instructions:
-------------
This errata is currently posted as "Reported". If necessary, please
use "Reply All" to discuss whether it should be verified or
rejected. When a decision is reached, the verifying party (IESG)
can log in to change the status and edit the report, if necessary. 

--------------------------------------
RFC6434 (draft-ietf-6man-node-req-bis-11)
--------------------------------------
Title               : IPv6 Node Requirements
Publication Date    : December 2011
Author(s)           : E. Jankiewicz, J. Loughney, T. Narten
Category            : INFORMATIONAL
Source              : IPv6 Maintenance
Area                : Internet
Stream              : IETF
Verifying Party     : IESG

---

From: Brian Haberman <[email-masked]>
Date: Tue, 17 Jan 2012 13:16:44 -0500

On 1/16/12 6:26 PM, RFC Errata System wrote:
> Reported by: Sam Silvester<[email-masked]>
>
> Section: 5.10.
>
> Original Text
> -------------

I am not sure there is a benefit to adding a single adjective to the 
noted sentence.  The actual reference is correct, so the reader will be 
correctly directed to the Lightweight MLD specification.

Regards,
Brian

---

From: Sam Silvester <[email-masked]>
Date: Wed, 18 Jan 2012 08:06:07 +1030

On Wed, Jan 18, 2012 at 4:46 AM, Brian Haberman
<[email-masked]> wrote:
>
> I am not sure there is a benefit to adding a single adjective to the noted
> sentence.  The actual reference is correct, so the reader will be correctly
> directed to the Lightweight MLD specification.
>
> Regards,
> Brian

Fair enough.

My understanding was that "Lightweight MLDv2" is the name of the RFC
in the reference, as such shouldn't we be getting it right -
especially in the sense that the name is close enough to MLDv2 and
therefore avoiding confusion would be a good thing? i.e. it's less an
adjective - if we're referring to an RFC, we should do it properly -
especially when there is another, similar and related RFC that is also
being discussed in the same paragraph?

If only because it made me stop, get a little confused and have to go
back and re-read the section (hence the Errata!) to get it clear in my
mind what was going on.

Regards,

Sam

---

From: Brian Haberman <[email-masked]>
Date: Wed, 18 Jan 2012 08:57:49 -0500

> back and re-read the section (hence the Errata!) to get it clear in my

I parsed the sentence differently.  I interpreted it as "implement MLDv2
using the guidance provided in RFC...".  In other words, I did not
interpret "MLDv2" as the title of the referenced RFC.

I am curious as to what others think about this.

Regards,
Brian

---

From: Thomas Narten <[email-masked]>
Date: Wed, 18 Jan 2012 09:04:51 -0500

> I am curious as to what others think about this.

IMO, we are discussing trivialities, not something rising to the level
of needing an errata or worth spending any more of our time on.

Thomas

---

From: <[email-masked]>
Date: Wed, 18 Jan 2012 14:17:50 +0000

I agree with Thomas.

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of ext Thomas Narten
Sent: Wednesday, January 18, 2012 6:05 AM
To: Brian Haberman
Cc: Loughney John (Nokia-SD/SiliconValley); [email-masked]; [email-masked]; [email-masked]; RFC Errata System
Subject: Re: [Editorial Errata Reported] RFC6434 (3091)

> I am curious as to what others think about this.

IMO, we are discussing trivialities, not something rising to the level of needing an errata or worth spending any more of our time on.

Thomas

--------------------------------------------------------------------
IETF IPv6 working group mailing list
[email-masked]
Administrative Requests: https://www.ietf.org/mailman/listinfo/ipv6
--------------------------------------------------------------------

---

From: Tom Taylor <[email-masked]>
Date: Wed, 18 Jan 2012 10:13:00 -0500

I on the other hand, as a more naive reader, find the update useful to 
understanding.